## org.eclipse.ocl.expressions.operations
Class TupleLiteralPartOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.TupleLiteralPartOperations

    public class TupleLiteralPartOperations

extends Object

A static utility class that provides operations related to 'Tuple Literal Part' model objects.

The following operations are supported:

- `Get Name`
- `Get Type`
- `Set Name`
- `Set Type`
- `Accept`
- `Check Value Type`

Constructor Summary
`protected` `TupleLiteralPartOperations()`

Method Summary

`static

`<C,P,T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(TupleLiteralPart<C,P> tupleLiteralPart, U v)`

`static

`<C,P> boolean`

`

`checkValueType(TupleLiteralPart<C,P> tupleLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)`
attribute.type = value.type

`static

`<C,P> String`

`

`getName(TupleLiteralPart<C,P> tupleLiteralPart)`

`static

`<C,P> C`

`

`getType(TupleLiteralPart<C,P> tupleLiteralPart)`

`static

`<C,P> void`

`

`setName(TupleLiteralPart<C,P> tupleLiteralPart, String name)`

`static

`<C,P> void`

`

`setType(TupleLiteralPart<C,P> tupleLiteralPart, C type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLiteralPartOperations

    protected TupleLiteralPartOperations()

Method Detail

### getName

    public static <C,P> String getName(TupleLiteralPart<C,P> tupleLiteralPart)

  Since:
    1.3

### getType

    public static <C,P> C getType(TupleLiteralPart<C,P> tupleLiteralPart)

  Since:
    1.3

### setName

    public static <C,P> void setName(TupleLiteralPart<C,P> tupleLiteralPart,
                                     String name)

  Since:
    1.3

### setType

    public static <C,P> void setType(TupleLiteralPart<C,P> tupleLiteralPart,
                                     C type)

  Since:
    1.3

### accept

    public static <C,P,T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(TupleLiteralPart<C,P> tupleLiteralPart,
                                                                          U v)

  Since:
    1.3

### checkValueType

    public static <C,P> boolean checkValueType(TupleLiteralPart<C,P> tupleLiteralPart,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  attribute.type = value.type

  Parameters:
    `tupleLiteralPart` - The receiving 'Tuple Literal Part' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.